<ion-card class="card-formulario">

  <h3>Datos financieros</h3>
  <p class="p-subtitulo">Ingresar la información acorde a lo solicitado</p>

  <form [formGroup]="formularioFinanciero" (click)="devolverFormularioFinanciero()">

    <ion-list
      lines="none">
      <ion-radio-group
        formControlName="ingresos"
      >
        <ion-list-header>
          <ion-label>Ingresos</ion-label>
        </ion-list-header>

        <ion-item *ngFor="let monto of rangoMontos">
          <ion-radio
            value="{{monto.valor}}"
          ></ion-radio>
          <ion-label>{{monto.rango}}</ion-label>
        </ion-item>
      </ion-radio-group>
      <ion-note *ngIf="ingresosField?.hasError('required')" slot="error">Ingresos obligatorio</ion-note>
    </ion-list>

    <ion-list
      lines="none">
      <ion-radio-group
        formControlName="egresos"
      >
        <ion-list-header>
          <ion-label>Egresos</ion-label>
        </ion-list-header>

        <ion-item *ngFor="let monto of rangoMontos">
          <ion-radio
            value="{{monto.valor}}"
          ></ion-radio>
          <ion-label>{{monto.rango}}</ion-label>
        </ion-item>
      </ion-radio-group>
      <ion-note *ngIf="egresosField?.hasError('required')" slot="error">Egresos obligatorio</ion-note>
    </ion-list>

    <ion-list
      lines="none">
      <ion-radio-group
        formControlName="patrimonio"
      >
        <ion-list-header>
          <ion-label>Patrimonio</ion-label>
        </ion-list-header>

        <ion-item *ngFor="let monto of rangoMontos">
          <ion-radio
            value="{{monto.valor}}"
          ></ion-radio>
          <ion-label>{{monto.rango}}</ion-label>
        </ion-item>
      </ion-radio-group>
      <ion-note *ngIf="patrimonioField?.hasError('required')" slot="error">Patrimonio obligatorio</ion-note>
    </ion-list>
  </form>

</ion-card>
